<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
?>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php">
		<fieldset>
			<legend><?php echo etiqueta( 'legend_idioma_1', 'Idiomas Instalados' ) ?></legend>
				<ul>
					<?php echo idiomas_instalados() ?>
				</ul>			
		</fieldset>
	</form>
	
	<fieldset>
			<legend><?php echo etiqueta( 'legend_idioma_2', 'Disponibles para su descarga' ) ?></legend>
				<ul class="row fs-small">
					<?php echo buscar_idiomas() ?>
				</ul>
	</fieldset>
		
	<script>
		  function actualizar(){location.reload(true);}
		  
		function instIdioma( Lng, nom ){
			MsjBox.mostrar('Instalando idioma, espere...');
			
			$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'insid=' + Lng + '&insnom=' + nom,
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
														if( respuesta == 1 ){
															MsjBox.mostrar('Idioma instalado correctamente.');
															actualizar();
														}				
													}
			});			
			return false;
		}
	</script>